[1] MLD-5.x / General / MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
 

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
Hallo zusammen,

ich hatte heute morgen das VDR-Paket upgedatet (vdr/unstable 2.6.1.14-220.21 amd64 [upgradable from: 2.6.1.13-220.20]). Nach einem Reboot hatte ich kein Bild, mehr als das Busybox-Fenster war nicht zu sehen. Anscheinend wurde kein Ausgabedevice gestartet. Ich bin dann mit dem snapshot_manager auf die letzte funktionierende Version zurück, habe aber leider keine Debug-Infos herunterkopiert und basteln ist schwierig, weil es mein Produktivsystem ist. Daher wollte ich fragen, ob das Problem bekannt ist. Wenn nicht, dann würde ich noch einmal das Upgrade durchführen und die Debug-Logs hochladen, richtig?

Viele Grüße
Herbert

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #1 on: March 11, 2022, 10:08:57 »
Ich habe es gerade noch einmal probiert, selbes Ergebnis. Im Log steht
Code: [Select]
"ERROR: no primary device found - using first device!"
Ich habe Euch die Debug-Logs hochgeladen, der Upload-Code lautet: xeV8yY

Würde mich freuen, wenn jemand reinschauen könnte.

Viele Grüße
Herbert

Online rfehr

  • MLD-Developer
  • Expert Member
  • ******
  • Posts: 1385
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #2 on: March 11, 2022, 10:48:35 »
Hi Herbert,

welches 'Ausgabe-Device' nutzt du denn softhddevice?

mfg
  Roland
1x OctopusNet 4x DVB-C
1x Zotac ITX-A Atom 330
1x RPI2 als Client
1x Cubietruck
1x BananaPi
1x Wetekplay
1x MCC 100
2x RPI3
2x RPi4
1x https://www.zotac.com/at/product/mini_pcs/pi335

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #3 on: March 11, 2022, 10:54:33 »
ja, genau

Code: [Select]
vdr-plugin-softhddevice/unstable,now 1.3.1-75.6+2.6.1.13 amd64 [installed]
Viele Grüße
Herbert

Online rfehr

  • MLD-Developer
  • Expert Member
  • ******
  • Posts: 1385
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #4 on: March 11, 2022, 11:04:57 »
Hi Herbert,

ist im Debug-Log aber nicht drin.

Gruß,
  Roland
1x OctopusNet 4x DVB-C
1x Zotac ITX-A Atom 330
1x RPI2 als Client
1x Cubietruck
1x BananaPi
1x Wetekplay
1x MCC 100
2x RPI3
2x RPi4
1x https://www.zotac.com/at/product/mini_pcs/pi335

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #5 on: March 11, 2022, 11:24:06 »
Hmmm, sehr seltsam. ich habe gerade auf die letzte funktionierende Version geschaut und das Update über den VDR-Menüpunkt gemacht. Ich starte das gleich mal manuell und schaue, ob da noch irgendwas deinstalliert wird.

Viele Grüße
Herbert
« Last Edit: March 11, 2022, 11:45:12 by herb01 »

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #6 on: March 11, 2022, 11:29:28 »
Sorry, hätte ich vielleicht gleich machen sollen. So sieht das auf der Kommandozeile aus und ich denke, es ist klar, daß mit den Paketen etwas durcheinander gekommen ist:
Code: [Select]
MLD> apt update
Get:1 http://www.minidvblinux.de/download/5.5/files unstable InRelease [2.430 B]
Fetched 2.430 B in 0s (9.435 B/s)   
Reading package lists... Done
Building dependency tree       
Reading state information... Done
1 package can be upgraded. Run 'apt list --upgradable' to see it.
MLD> apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  vdr
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
MLD> apt dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  dvb-apps git liba52-0.7.4 libcroco3 libcxxtools9v5 libglibmm-2.4-1v5 liblqr-1-0 libltdl7 libmagick++-6.q16-8
  libmagickcore-6.q16-6 libmagickwand-6.q16-6 libpcre2-8-0 librsvg2-2 libsigc++-2.0-0v5 libskindesignerapi
  libtntnet12v5 libva-glx2 libxcb-dpms0 libxcb-icccm4 libxcb-screensaver0 libxml++2.6-2v5 unzip
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  vdr-plugin-apt vdr-plugin-bluray vdr-plugin-dvd vdr-plugin-epgsearch vdr-plugin-femon vdr-plugin-live
  vdr-plugin-markad vdr-plugin-menuorg vdr-plugin-skindesigner vdr-plugin-skinelchihd vdr-plugin-softhddevice
  vdr-plugin-tvguideng vdr-plugin-useractivity vdr-plugin-vnsiserver
The following packages will be upgraded:
  vdr
1 upgraded, 0 newly installed, 14 to remove and 0 not upgraded.
Need to get 0 B/1.915 kB of archives.
After this operation, 58,7 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.
Viele Grüße
Herbert

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 19636
    • View Profile
    • ClausMuus.de
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #7 on: March 11, 2022, 12:09:55 »
Mein Fehler...
ich hatte das vdr Paket neu gebaut und hochgeladen. Die Plugins hatte ich dann allerdings nach dem bauen vergessen hoch zu laden.
Jetzt dürfte es wieder passen.
MLD 5.4 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.4 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 12TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #8 on: March 11, 2022, 12:14:45 »
Gerade probiert, alles gut :) Vielen Dank!

Gruß Herbert

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #9 on: April 25, 2022, 20:41:45 »
Hmmm, kann es sein, daß diesmal das zugh. VDR-Paket fehlt?

Code: [Select]
MLD> apt list vdr
Listing... Done
vdr/unstable,now 2.6.1.14-220.21 amd64 [installed]
MLD> apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  vdr-plugin-apt vdr-plugin-bluray vdr-plugin-dvd vdr-plugin-epgsearch vdr-plugin-femon vdr-plugin-live
  vdr-plugin-markad vdr-plugin-menuorg vdr-plugin-skindesigner vdr-plugin-skinelchihd vdr-plugin-softhddevice
  vdr-plugin-tvguideng vdr-plugin-useractivity vdr-plugin-vnsiserver
0 upgraded, 0 newly installed, 0 to remove and 14 not upgraded.
MLD> apt list --upgradable
Listing... Done
vdr-plugin-apt/unstable 0.1.0-14+2.6.1.221 amd64 [upgradable from: 0.1.0-14+2.6.1.14]
vdr-plugin-bluray/unstable 2021.08.05-3+2.6.1.221 amd64 [upgradable from: 2021.08.05-2.1+2.6.1.14]
vdr-plugin-dvd/unstable 2009.01.18-13+2.6.1.221 amd64 [upgradable from: 2009.01.18-13+2.6.1.14]
vdr-plugin-epgsearch/unstable 2022.02.01-18+2.6.1.221 amd64 [upgradable from: 2022.02.01-17.1+2.6.1.14]
vdr-plugin-femon/unstable 2019-10-27-8+2.6.1.221 amd64 [upgradable from: 2019-10-27-8+2.6.1.14]
vdr-plugin-live/unstable 1:3.1.5-25+2.6.1.221 amd64 [upgradable from: 1:3.1.5-24.4+2.6.1.14]
vdr-plugin-markad/unstable 2.6.8-29+2.6.1.221 amd64 [upgradable from: 2.6.8-27.4+2.6.1.14]
vdr-plugin-menuorg/unstable 2018.02.27-6+2.6.1.221 amd64 [upgradable from: 2018.02.27-6+2.6.1.14]
vdr-plugin-skindesigner/unstable 1.2.18-31+2.6.1.221 amd64 [upgradable from: 1.2.18-30.2+2.6.1.14]
vdr-plugin-skinelchihd/unstable 0.5.0-0+2.6.1.221 amd64 [upgradable from: 0.5.0-0+2.6.1.14]
vdr-plugin-softhddevice/unstable 1.4.0-77+2.6.1.221 amd64 [upgradable from: 1.4.0-75.6+2.6.1.14]
vdr-plugin-tvguideng/unstable 2021.05.22-7+2.6.1.221 amd64 [upgradable from: 2021.05.22-6.2+2.6.1.14]
vdr-plugin-useractivity/unstable 2015.09.10-1+2.6.1.221 amd64 [upgradable from: 2015.09.10-1+2.6.1.14]
vdr-plugin-vnsiserver/unstable 1:1.8.0-5+2.6.1.221 amd64 [upgradable from: 1:1.8.0-5+2.6.1.14]

Viele Grüße
Herbert

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 19636
    • View Profile
    • ClausMuus.de
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #10 on: April 26, 2022, 16:28:32 »
Ne, denn den VDR hast Du ja bereits in der neusten Version installiert.
MLD 5.4 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.4 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 12TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #11 on: April 26, 2022, 20:08:27 »
Tut mir leid, anscheinend stehe ich auf dem Schlauch und weiß nicht, was ich tun soll. Die zurückgehaltenen Pakete hängen doch alle von einer neueren VDR-Version ab, die ich nicht habe und nicht installieren kann:
Code: [Select]
MLD> apt install vdr
Reading package lists... Done
Building dependency tree       
Reading state information... Done
vdr is already the newest version (2.6.1.14-220.21)
Und wenn ich versuche, ein Paket zu installieren kommt:
Code: [Select]
MLD> apt install vdr-plugin-apt
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 vdr-plugin-apt : Depends: vdr (>= 2.6.1.221) but 2.6.1.14-220.21 is to be installed
E: Unable to correct problems, you have held broken packages.
Hätte jemand einen Tip, was ich falsch mache?

Viele Grüße
Herbert

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 19636
    • View Profile
    • ClausMuus.de
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #12 on: April 27, 2022, 12:03:05 »
Ups, da hatte ich wohl nicht richtig geschaut...
Ich schaue gleich mal was da beim Build schief gelaufen ist. Irgendwie hat der VDR eine falsche Version bekommen.
MLD 5.4 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.4 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 12TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Online clausmuus

  • Administrator
  • Expert Member
  • ********
  • Posts: 19636
    • View Profile
    • ClausMuus.de
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #13 on: April 27, 2022, 12:05:59 »
Jetzt sollte es wieder passen.
MLD 5.4 - Raspberry PI - 7" Touch TFT - Squeeze Play
MLD 5.4 - lirc yaUsbIR - OctopusNet - XFX GeForce 9300 mit Intel E3200 - 2GB RAM - 12TB HDD - Lian Li PC-C37B - Samsung LE40A559
MLD 5.4 - OctopusNet - ASRock Q1900M - 2GB RAM 250GB HDD

Offline herb01

  • Member
  • **
  • Posts: 63
    • View Profile
MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
« Reply #14 on: April 27, 2022, 19:37:43 »
Ja, das hat jetzt funktioniert :) Vielen Dank, toller Service!

Viele Grüße
Herbert

[1] MLD-5.x / General / MLD 5.5 x64 unstable, kein Bild nach Upgrade des VDR-Pakets
 



Users Online Users Online

0 Members and 1 Guest are viewing this topic.